/*
    Da Heart Info daheart.info

    daheart.info Site main page style sheet
    Author: I-Jien Kou
    Date:   6/12/2021
    Update: 5/20/2026   Fix Ask section to allow toggle down by adding total main section height

   Filename:         main.css
   Supporting Files: 

*/


/* Display HTML5 structural elements as blocks */


aside, figure, footer, header,
section, nav {
	display: block;
}




/* Set the default page element styles */


body * {
	margin: 0px;
	padding: 0px;
}


/* Styles for the Page Body */

body {
    background: #CF9 url(images/math_blackboard.png);
	font-family: Verdana, Geneva, sans-serif;
}



/* Styles for div container of entire content */


#container {
	background: #FFC;
	border-left: 1px solid black;
	border-right: 1px solid black;
    margin: 0px auto;
	width: 1000px;
}



/* Styles for the Page Header */


header {
	
	background-image: url("images/daheart_logo.png"), -o-linear-gradient(black, rgb(125, 120, 89) 20%, white 90%) ;
	background-image: url("images/daheart_logo.png"), -ms-linear-gradient(black, rgb(125, 120, 89) 20%, white 90%);
	background-image: url("images/daheart_logo.png"), -moz-linear-gradient(black, rgb(125, 120, 89) 20%, white 90%);
	background-image: url("images/daheart_logo.png"), -webkit-linear-gradient(black, rgb(125, 120, 89) 20%, white 90%);
	background-image: url("images/daheart_logo.png"), linear-gradient(black, rgb(125, 120, 89) 20%, white 90%);
	
	background-repeat: no-repeat;
	background-position: right;
	
	color: white;
	font-size: 20px;
	height: 100px;
	letter-spacing: 7px;
	margin-bottom: 10px;
	padding-left: 50px;
	padding-top: 20px;
	text-align: left;
}



header { 
	text-align: center;
	color: white;
	font-family: "Comic Sans MS", "Comic Sans", cursive;
}


#highlight {
background-color: #6FC;
}

#highlight a {
	color: blue;
}



/* Vertical Navigation List Style */

nav.vertical {
	clear: left;
	float: left;
	
	background-color: rgb(125, 120, 89) repeat-y;
	height: 100%;
	width: 200px;
}

nav.vertical ul {
	background-color: rgb(125, 120, 89);
	line-height: 3em;
	list-style-type: none;
}


nav.vertical ul li a {
	color: white;
	color: rgba(255, 255, 255, 0.5);
	padding: 20px 5px 20px 15px;
	text-decoration: none;
}

nav.vertical ul li:hover {
	background-color: #F9F;
	list-style-image: url(images/wheelmarker.png);
}

nav.vertical ul a:hover {
	color: yellow;
	color: rgba(255, 255, 255, 1);
}



/* Dropdown List Style */

nav.vertical li ul {
	position: absolute;
	/* position: relative; */
	font-size: 12px;
	left: -10000px;
}

nav.vertical li li {
	background: #0F9;
	list-style: none;
}

nav.vertical li li a {
	color: black;
	color: rgba(255, 255, 255, 1);
}

nav.vertical li#programPageLink_1:hover ul {
	display: block;
	position: relative;
	left: 0px;
	/*
	left: 205px;
	top: 185px;
	*/

}

nav.vertical li#programPageLink_2:hover ul {
	display: block;
	position: relative;
	left: 0px;

}

nav.vertical li#programPageLink_3:hover ul {
	display: block;
	position: relative;
	left: 0px;

}



nav.vertical li li:hover {
	background-color: red;
	list-style: none;
}


/* Main section styles */

#main {
	background-color: white;
	float: left;
	width: 600px;
	height: 100%;
    overflow: hidden;
}

#main embed {
	background-color: white;
	float: left;
	border: none;
	allowTransparency: true;
	margin: 0px;
	padding: 0px;
	/*height: 1050px; */
	height: 1200px;
	width: 100%;
}


iframe {
	background-color: white;
	float: left;
	border: none;
	allowTransparency: true;
	margin: 0px;
	padding: 0px;
	height: 660px;
	width: 100%;
}



/* Aside styles */


aside {
	float: left;
	height: 100%;
	width: 200px;
}



aside li {
	background-color: #996;
	
    -moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	
	font-size: 12px;
	list-style: none;
	margin: 5px;
	padding: 10px;
}

aside a {
	color: lightcyan;
	text-decoration: none;
}

aside li:hover {
	background-color: rgb(131, 121, 36);
}




/* Footer styles */


footer {
	clear: left;
	margin-left: 200px;
}


footer address {
	border-top: 1px solid green;
	color: green;
	font-size: 12px;
	font-style: normal;
	text-align: center;
	margin-top: 25px;
	padding-bottom: 20px;
}



#highlight_footer a {
	color: rgb(125, 120, 89);
}
	



	
	



	
